<template>
  <q-page padding class="row justify-center items-center">
    <q-card class="d-register">
      <q-card-section>
        <div class="row items-center no-wrap">
          <div class="col">
            <div class="text-h6">Crear cuenta</div>
          </div>
          <div class="col">
            <div class="text-right">
              <router-link :to="{ name: 'auth.login' }">
                Iniciar Sesión
              </router-link>
            </div>
          </div>
        </div>
      </q-card-section>

      <q-card-section>
        <q-splitter v-model="splitterModel" :limits="[12, 12]">
          <template v-slot:before>
            <q-tabs
              vertical
            >
              <q-route-tab
                label="Negocios"
                icon="far fa-building"
                :to="{ name: 'auth.register.business' }"
                exact
              />
            </q-tabs>
          </template>
          <template v-slot:after>
            <router-view />
          </template>
        </q-splitter>
      </q-card-section>
    </q-card>
  </q-page>
</template>

<script>
export default {
  data () {
    return {
      splitterModel: 12
    }
  }
}
</script>
